<?php

namespace FiloBlu\Esb\Api;

use FiloBlu\Esb\Api\Data\ConsumerInterface;

/**
 * Interface ResolverInterface
 * @package FiloBlu\Esb\Api
 */
interface ConsumerResolverInterface
{

    /**
     * @param string $identifier
     * @return ConsumerInterface
     */
    public function get($identifier) : ConsumerInterface;

    /**
     * @param string $identifier
     * @return bool
     */
    public function has($identifier) : bool;
}