<?php
/**
 * Copyright © 2017 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\Esb\Api;

/**
 * @api
 *
 * Interface ExternalInvoiceInterface
 * @package FiloBlu\Esb\Api
 */
interface ExternalInvoiceInterface
{

    /**
     * @api
     *
     * Save External invoice_data.
     *
     * @param \Magento\Sales\Api\Data\InvoiceInterface $invoice_data
     * @return \FiloBlu\Esb\Api\Data\AcknowledgeInterface
     */
    public function save(\Magento\Sales\Api\Data\InvoiceInterface $invoice_data);

}